Redmine - Patch #28933

Migrate to Rails 5.2
2018-06-01 22:10 - Pavel Rosicky

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Gems support Estimated time: 0.00 hour
Target version:

Description

Related issues:

Related to Redmine - Patch #27124: Remove mutation tracker for Rails 5.2 Closed
Related to Redmine - Defect #28930: [Rails 5.2] sanitize dangerous query stat... Closed
Related to Redmine - Patch #28934: Support migration context for plugins Closed
Related to Redmine - Feature #30042: Update Rails to 5.2.1.1 Closed
Related to Redmine - Patch #30119: Update Rails to 5.2.2 Closed
Is duplicate of Redmine - Feature #23630: Migrate to Rails 5.2 Closed

History

#1 - 2018-06-02 04:13 - Go MAEDA

- Related to Patch #27124: Remove mutation tracker for Rails 5.2 added

#2 - 2018-06-02 04:13 - Go MAEDA
- Related to Patch #28929: Update roadie-rails to ~> 1.3.0 added

#3 - 2018-06-02 04:14 - Go MAEDA

- Related to Defect #28930: [Rails 5.2] sanitize dangerous query statements added

#4 - 2018-06-02 04:14 - Go MAEDA

- Related to Defect #28931: Unreachable code in QueriesControllerTest#test bulk_copy to_another_project added

#5 - 2018-06-02 04:14 - Go MAEDA

- Related to Patch #28932: [Rails 5.2] image_tag no longer generates default alt text added

#6 - 2018-06-02 04:14 - Go MAEDA
- Related to Patch #28934: Support migration context for plugins added

#7 - 2018-06-02 16:00 - Go MAEDA

- Target version set to Candidate for next major release

#8 - 2018-06-12 10:00 - Marius BALTEANU

- Description updated

#9 - 2018-06-23 07:21 - Jean-Philippe Lang
- Status changed from New to Closed

- Target version deleted (Candidate for next major release)

Upgrade done in r17410.

#10 - 2018-06-23 07:24 - Go MAEDA
- Related to deleted (Patch #28929: Update roadie-rails to ~> 1.3.0)
#11 - 2018-06-23 07:26 - Go MAEDA
- Related to deleted (Defect #28931: Unreachable code in QueriesControllerTest#test_bulk_copy_to_another_project)

#12 - 2018-06-23 07:27 - Go MAEDA
- Related to deleted (Patch #28932: [Rails 5.2] image_tag no longer generates default alt text)

#13 - 2018-06-23 10:20 - Go MAEDA
- Is duplicate of Feature #23630: Migrate to Rails 5.2 added

#14 - 2018-06-23 11:13 - Pavel Rosicky
Thanks, but don't forget about #28934. It fixes rake redmine:plugins:migrate

#15 - 2018-09-23 11:14 - Marius BALTEANU
- Related to Patch #29424: Convert migration file from 4.2 to 5.2 added

#16 - 2018-09-23 11:16 - Marius BALTEANU
- Related to deleted (Patch #29424: Convert migration file from 4.2 to 5.2)

#17 - 2018-12-07 09:03 - Marius BALTEANU
- Related to Feature #30042: Update Rails to 5.2.1.1 added

#18 - 2018-12-07 10:24 - Go MAEDA
- Related to Patch #30119: Update Rails to 5.2.2 added

#19 - 2019-01-02 06:22 - Marius BALTEANU

- Related to Feature #29660: Add Referrer-Policy header to prevent browsers from sending private data to external sites added

#20 - 2019-01-02 06:22 - Marius BALTEANU

- Related to deleted (Feature #29660: Add Referrer-Policy header to prevent browsers from sending private data to external sites)

Files

Gemfile.patch 426 Bytes 2018-06-01 Pavel Rosicky
